View Issue Details

IDProjectCategoryView StatusLast Update
0016456ScribusUser Interfacepublic2021-02-01 13:46
Reporterbubu Assigned Tojghali  
PrioritynormalSeverityminorReproducibilityalways
Status resolvedResolutionfixed 
Product Version1.5.7.svn 
Target VersionFixed in Version1.5.7.svn 
Summary0016456: Unify margins and spacing for dialogs, set 4
DescriptionI propose a new set margin and spacing unifying for dialogs:
- Extras > Manage images | Search images + result dialogs
- Table dialogs

picsearchoptions.ui contains whitespace changes, others are trivial.

Please review. Thanks.
TagsNo tags attached.
PatchNo

Relationships

child of 0013906 acknowledged Metabug: UI enhancement proposals (1.5.x.svn) 

Activities

bubu

2021-01-31 21:14

reporter  

0001-Unify-margins-and-spacing-for-dialogs-set-3.patch (16,908 bytes)
From ebbcc023e11a0ec2a15e1382150527092aac4816 Mon Sep 17 00:00:00 2001
Message-Id: <ebbcc023e11a0ec2a15e1382150527092aac4816.1612127573.git.bubu@ujevangelizacio.hu>
From: =?UTF-8?q?Gyuris=20Gell=C3=A9rt?= <bubu@ujevangelizacio.hu>
Date: Sun, 31 Jan 2021 22:12:32 +0100
Subject: [PATCH] Unify margins and spacing for dialogs, set 3

---
 scribus/ui/insertTable.cpp             |  12 +--
 scribus/ui/inserttablecolumnsdialog.ui |  12 +++
 scribus/ui/inserttablerowsdialog.ui    |  12 +++
 scribus/ui/picsearch.ui                |  72 +-------------
 scribus/ui/picsearchoptions.ui         | 124 ++++++++++++-------------
 scribus/ui/picstatus.ui                |  26 +++---
 scribus/ui/tablecolumnwidthsdialog.ui  |  12 +++
 scribus/ui/tablerowheightsdialog.ui    |  12 +++
 8 files changed, 128 insertions(+), 154 deletions(-)

diff --git a/scribus/ui/insertTable.cpp b/scribus/ui/insertTable.cpp
index ed82b9916..f13a3a031 100644
--- a/scribus/ui/insertTable.cpp
+++ b/scribus/ui/insertTable.cpp
@@ -16,11 +16,11 @@ InsertTable::InsertTable( QWidget* parent, int maxRow, int maxCol ) : QDialog( p
 	setWindowIcon(IconManager::instance().loadIcon("AppIcon.png"));
 	setModal(true);
 	InsertTableLayout = new QVBoxLayout( this );
-	InsertTableLayout->setMargin(10);
-	InsertTableLayout->setSpacing(5);
+	InsertTableLayout->setContentsMargins(9, 9, 9, 9);
+	InsertTableLayout->setSpacing(6);
 	layout2 = new QGridLayout();
-	layout2->setMargin(0);
-	layout2->setSpacing(5);
+	layout2->setContentsMargins(0, 0, 0, 0);
+	layout2->setSpacing(6);
 	Cols = new QSpinBox(this);
 	Cols->setRange(1, maxCol);
 	Cols->setValue(1);
@@ -35,14 +35,14 @@ InsertTable::InsertTable( QWidget* parent, int maxRow, int maxCol ) : QDialog( p
 	layout2->addWidget( Rows, 0, 1 );
 	InsertTableLayout->addLayout( layout2 );
 	layout1 = new QHBoxLayout();
-	layout1->setSpacing(5);
+	layout1->setSpacing(6);
 	okButton = new QPushButton( CommonStrings::tr_OK, this);
 	cancelButton = new QPushButton( CommonStrings::tr_Cancel, this);
 	okButton->setDefault( true );
 	layout1->addWidget( okButton );
 	layout1->addWidget( cancelButton );
 	InsertTableLayout->addLayout( layout1 );
-	resize( QSize(200, 111).expandedTo(minimumSizeHint()) );
+	resize( QSize(200, 100).expandedTo(minimumSizeHint()) );
 
 	setTabOrder ( Rows, Cols );
 	setTabOrder ( Cols, okButton );
diff --git a/scribus/ui/inserttablecolumnsdialog.ui b/scribus/ui/inserttablecolumnsdialog.ui
index 7ddbecac7..b783fd02f 100644
--- a/scribus/ui/inserttablecolumnsdialog.ui
+++ b/scribus/ui/inserttablecolumnsdialog.ui
@@ -17,6 +17,18 @@
    <bool>true</bool>
   </property>
   <layout class="QVBoxLayout" name="verticalLayout_2">
+   <property name="leftMargin">
+    <number>9</number>
+   </property>
+   <property name="topMargin">
+    <number>9</number>
+   </property>
+   <property name="rightMargin">
+    <number>9</number>
+   </property>
+   <property name="bottomMargin">
+    <number>9</number>
+   </property>
    <item>
     <layout class="QFormLayout" name="formLayout">
      <item row="0" column="0">
diff --git a/scribus/ui/inserttablerowsdialog.ui b/scribus/ui/inserttablerowsdialog.ui
index dd6604ff3..fb6a19c38 100644
--- a/scribus/ui/inserttablerowsdialog.ui
+++ b/scribus/ui/inserttablerowsdialog.ui
@@ -17,6 +17,18 @@
    <bool>true</bool>
   </property>
   <layout class="QVBoxLayout" name="verticalLayout_2">
+   <property name="leftMargin">
+    <number>9</number>
+   </property>
+   <property name="topMargin">
+    <number>9</number>
+   </property>
+   <property name="rightMargin">
+    <number>9</number>
+   </property>
+   <property name="bottomMargin">
+    <number>9</number>
+   </property>
    <item>
     <layout class="QFormLayout" name="formLayout">
      <item row="0" column="0">
diff --git a/scribus/ui/picsearch.ui b/scribus/ui/picsearch.ui
index 90ffc2dda..b8fd235b6 100644
--- a/scribus/ui/picsearch.ui
+++ b/scribus/ui/picsearch.ui
@@ -15,38 +15,20 @@
    <string>Result</string>
   </property>
   <layout class="QVBoxLayout">
-   <property name="spacing">
-    <number>5</number>
-   </property>
    <property name="leftMargin">
-    <number>10</number>
+    <number>9</number>
    </property>
    <property name="topMargin">
-    <number>10</number>
+    <number>9</number>
    </property>
    <property name="rightMargin">
-    <number>10</number>
+    <number>9</number>
    </property>
    <property name="bottomMargin">
-    <number>10</number>
+    <number>9</number>
    </property>
    <item>
     <layout class="QHBoxLayout">
-     <property name="spacing">
-      <number>5</number>
-     </property>
-     <property name="leftMargin">
-      <number>0</number>
-     </property>
-     <property name="topMargin">
-      <number>0</number>
-     </property>
-     <property name="rightMargin">
-      <number>0</number>
-     </property>
-     <property name="bottomMargin">
-      <number>0</number>
-     </property>
      <item>
       <widget class="QLabel" name="textLabel1">
        <property name="text">
@@ -80,41 +62,11 @@
    </item>
    <item>
     <layout class="QHBoxLayout">
-     <property name="spacing">
-      <number>5</number>
-     </property>
-     <property name="leftMargin">
-      <number>0</number>
-     </property>
-     <property name="topMargin">
-      <number>0</number>
-     </property>
-     <property name="rightMargin">
-      <number>0</number>
-     </property>
-     <property name="bottomMargin">
-      <number>0</number>
-     </property>
      <item>
       <widget class="QListWidget" name="foundFilesBox"/>
      </item>
      <item>
       <layout class="QVBoxLayout">
-       <property name="spacing">
-        <number>5</number>
-       </property>
-       <property name="leftMargin">
-        <number>0</number>
-       </property>
-       <property name="topMargin">
-        <number>0</number>
-       </property>
-       <property name="rightMargin">
-        <number>0</number>
-       </property>
-       <property name="bottomMargin">
-        <number>0</number>
-       </property>
        <item>
         <widget class="QCheckBox" name="previewCheckBox">
          <property name="text">
@@ -145,21 +97,6 @@
      </item>
      <item>
       <layout class="QVBoxLayout">
-       <property name="spacing">
-        <number>5</number>
-       </property>
-       <property name="leftMargin">
-        <number>0</number>
-       </property>
-       <property name="topMargin">
-        <number>0</number>
-       </property>
-       <property name="rightMargin">
-        <number>0</number>
-       </property>
-       <property name="bottomMargin">
-        <number>0</number>
-       </property>
        <item>
         <widget class="QLabel" name="previewLabel">
          <property name="minimumSize">
@@ -276,7 +213,6 @@
    </item>
   </layout>
  </widget>
- <layoutdefault spacing="6" margin="11"/>
  <resources/>
  <connections/>
 </ui>
diff --git a/scribus/ui/picsearchoptions.ui b/scribus/ui/picsearchoptions.ui
index 2f2401167..8c8053e3b 100644
--- a/scribus/ui/picsearchoptions.ui
+++ b/scribus/ui/picsearchoptions.ui
@@ -1,53 +1,60 @@
-<ui version="4.0" >
+<?xml version="1.0" encoding="UTF-8"?>
+<ui version="4.0">
  <class>PicSearchOptions</class>
- <widget class="QDialog" name="PicSearchOptions" >
-  <property name="geometry" >
+ <widget class="QDialog" name="PicSearchOptions">
+  <property name="geometry">
    <rect>
     <x>0</x>
     <y>0</y>
-    <width>513</width>
-    <height>139</height>
+    <width>484</width>
+    <height>138</height>
    </rect>
   </property>
-  <property name="windowTitle" >
+  <property name="windowTitle">
    <string>Search Images</string>
   </property>
-  <layout class="QGridLayout" >
-   <property name="margin" >
+  <layout class="QGridLayout">
+   <property name="leftMargin">
     <number>9</number>
    </property>
-   <property name="spacing" >
-    <number>6</number>
+   <property name="topMargin">
+    <number>9</number>
+   </property>
+   <property name="rightMargin">
+    <number>9</number>
+   </property>
+   <property name="bottomMargin">
+    <number>9</number>
    </property>
-   <item row="0" column="0" >
-    <widget class="QLabel" name="textLabel1_2" >
-     <property name="text" >
+   <item row="0" column="0">
+    <widget class="QLabel" name="textLabel1_2">
+     <property name="text">
       <string>Search for:</string>
      </property>
-     <property name="wordWrap" >
+     <property name="wordWrap">
       <bool>false</bool>
      </property>
-     <property name="buddy" >
+     <property name="buddy">
       <cstring>fileEdit</cstring>
      </property>
     </widget>
    </item>
-   <item row="1" column="0" >
-    <widget class="QLabel" name="textLabel1" >
-     <property name="text" >
+   <item row="1" column="0">
+    <widget class="QLabel" name="textLabel1">
+     <property name="text">
       <string>Start at:</string>
      </property>
-     <property name="wordWrap" >
+     <property name="wordWrap">
       <bool>false</bool>
      </property>
-     <property name="buddy" >
+     <property name="buddy">
       <cstring>directoryEdit</cstring>
      </property>
     </widget>
    </item>
-   <item row="1" column="1" >
-    <widget class="QLineEdit" name="directoryEdit" >
-     <property name="minimumSize" >
+   <item row="1" column="1">
+    <widget class="QLineEdit" name="directoryEdit">
+     <property name="minimumSize">
       <size>
        <width>300</width>
        <height>0</height>
@@ -55,62 +62,56 @@
      </property>
     </widget>
    </item>
-   <item row="0" column="1" colspan="2" >
-    <widget class="QLineEdit" name="fileEdit" />
+   <item row="0" column="1" colspan="2">
+    <widget class="QLineEdit" name="fileEdit"/>
    </item>
-   <item row="1" column="2" >
-    <widget class="QPushButton" name="changeDirButton" >
-     <property name="text" >
+   <item row="1" column="2">
+    <widget class="QPushButton" name="changeDirButton">
+     <property name="text">
       <string>Change...</string>
      </property>
     </widget>
    </item>
-   <item row="3" column="0" colspan="3" >
-    <layout class="QHBoxLayout" >
-     <property name="margin" >
-      <number>0</number>
-     </property>
-     <property name="spacing" >
-      <number>5</number>
-     </property>
+   <item row="3" column="0" colspan="3">
+    <layout class="QHBoxLayout">
      <item>
-      <widget class="QLabel" name="searchLabel" >
-       <property name="text" >
+      <widget class="QLabel" name="searchLabel">
+       <property name="text">
         <string>Searching</string>
        </property>
-       <property name="wordWrap" >
+       <property name="wordWrap">
         <bool>false</bool>
        </property>
       </widget>
      </item>
      <item>
-      <widget class="QProgressBar" name="progressBar1" >
-       <property name="minimumSize" >
+      <widget class="QProgressBar" name="progressBar1">
+       <property name="minimumSize">
         <size>
          <width>0</width>
          <height>20</height>
         </size>
        </property>
-       <property name="maximumSize" >
+       <property name="maximumSize">
         <size>
          <width>250</width>
          <height>22</height>
         </size>
        </property>
-       <property name="orientation" >
+       <property name="orientation">
         <enum>Qt::Horizontal</enum>
        </property>
       </widget>
      </item>
      <item>
       <spacer>
-       <property name="orientation" >
+       <property name="orientation">
         <enum>Qt::Horizontal</enum>
        </property>
-       <property name="sizeType" >
+       <property name="sizeType">
         <enum>QSizePolicy::Expanding</enum>
        </property>
-       <property name="sizeHint" >
+       <property name="sizeHint" stdset="0">
         <size>
          <width>30</width>
          <height>20</height>
@@ -119,48 +120,42 @@
       </spacer>
      </item>
      <item>
-      <widget class="QPushButton" name="startButton" >
-       <property name="text" >
+      <widget class="QPushButton" name="startButton">
+       <property name="text">
         <string>Start Search</string>
        </property>
       </widget>
      </item>
     </layout>
    </item>
-   <item row="2" column="0" colspan="3" >
-    <layout class="QHBoxLayout" >
-     <property name="margin" >
-      <number>0</number>
-     </property>
-     <property name="spacing" >
-      <number>5</number>
-     </property>
+   <item row="2" column="0" colspan="3">
+    <layout class="QHBoxLayout">
      <item>
-      <widget class="QCheckBox" name="caseInsensitiveCheck" >
-       <property name="text" >
+      <widget class="QCheckBox" name="caseInsensitiveCheck">
+       <property name="text">
         <string>Case insensitive search</string>
        </property>
       </widget>
      </item>
      <item>
-      <widget class="QCheckBox" name="recursiveSearch" >
-       <property name="text" >
+      <widget class="QCheckBox" name="recursiveSearch">
+       <property name="text">
         <string>Search recursively</string>
        </property>
-       <property name="checked" >
+       <property name="checked">
         <bool>true</bool>
        </property>
       </widget>
      </item>
      <item>
       <spacer>
-       <property name="orientation" >
+       <property name="orientation">
         <enum>Qt::Horizontal</enum>
        </property>
-       <property name="sizeType" >
+       <property name="sizeType">
         <enum>QSizePolicy::Expanding</enum>
        </property>
-       <property name="sizeHint" >
+       <property name="sizeHint" stdset="0">
         <size>
          <width>81</width>
          <height>20</height>
@@ -172,7 +167,6 @@
    </item>
   </layout>
  </widget>
- <layoutdefault spacing="6" margin="11" />
  <resources/>
  <connections/>
 </ui>
diff --git a/scribus/ui/picstatus.ui b/scribus/ui/picstatus.ui
index 1e5a0405b..f02d8e70a 100644
--- a/scribus/ui/picstatus.ui
+++ b/scribus/ui/picstatus.ui
@@ -9,19 +9,25 @@
    <rect>
     <x>0</x>
     <y>0</y>
-    <width>764</width>
     <height>464</height>
+    <width>720</width>
    </rect>
   </property>
   <property name="windowTitle">
    <string>Manage Images</string>
   </property>
   <layout class="QVBoxLayout">
-   <property name="spacing">
-    <number>5</number>
+   <property name="leftMargin">
+    <number>9</number>
    </property>
-   <property name="margin">
-    <number>10</number>
+   <property name="topMargin">
+    <number>9</number>
+   </property>
+   <property name="rightMargin">
+    <number>9</number>
+   </property>
+   <property name="bottomMargin">
+    <number>9</number>
    </property>
    <item>
     <widget class="QListWidget" name="imageViewArea">
@@ -576,12 +582,6 @@
        <string>Image Tools</string>
       </attribute>
       <layout class="QGridLayout">
-       <property name="margin">
-        <number>10</number>
-       </property>
-       <property name="spacing">
-        <number>5</number>
-       </property>
        <item row="0" column="0">
         <widget class="QCheckBox" name="isPrinting">
          <property name="toolTip">
@@ -657,9 +657,6 @@
    </item>
    <item>
     <layout class="QHBoxLayout">
-     <property name="spacing">
-      <number>5</number>
-     </property>
      <item>
       <spacer>
        <property name="orientation">
@@ -690,7 +687,6 @@
    </item>
   </layout>
  </widget>
- <layoutdefault spacing="5" margin="10"/>
  <resources/>
  <connections/>
 </ui>
diff --git a/scribus/ui/tablecolumnwidthsdialog.ui b/scribus/ui/tablecolumnwidthsdialog.ui
index d3ef32401..5e125d81e 100644
--- a/scribus/ui/tablecolumnwidthsdialog.ui
+++ b/scribus/ui/tablecolumnwidthsdialog.ui
@@ -17,6 +17,18 @@
    <bool>true</bool>
   </property>
   <layout class="QVBoxLayout" name="verticalLayout">
+   <property name="leftMargin">
+    <number>9</number>
+   </property>
+   <property name="topMargin">
+    <number>9</number>
+   </property>
+   <property name="rightMargin">
+    <number>9</number>
+   </property>
+   <property name="bottomMargin">
+    <number>9</number>
+   </property>
    <item>
     <layout class="QFormLayout" name="formLayout">
      <item row="0" column="0">
diff --git a/scribus/ui/tablerowheightsdialog.ui b/scribus/ui/tablerowheightsdialog.ui
index 8c377f892..5f8979cd2 100644
--- a/scribus/ui/tablerowheightsdialog.ui
+++ b/scribus/ui/tablerowheightsdialog.ui
@@ -17,6 +17,18 @@
    <bool>true</bool>
   </property>
   <layout class="QVBoxLayout" name="verticalLayout">
+   <property name="leftMargin">
+    <number>9</number>
+   </property>
+   <property name="topMargin">
+    <number>9</number>
+   </property>
+   <property name="rightMargin">
+    <number>9</number>
+   </property>
+   <property name="bottomMargin">
+    <number>9</number>
+   </property>
    <item>
     <layout class="QFormLayout" name="formLayout">
      <item row="0" column="0">
-- 
2.27.0

manage_images.gif (82,550 bytes)
manage_images.gif (82,550 bytes)
search_images.gif (19,580 bytes)
search_images.gif (19,580 bytes)
search_result.gif (52,430 bytes)
search_result.gif (52,430 bytes)
table_insert.gif (11,044 bytes)
table_insert.gif (11,044 bytes)
table_insert_columns.gif (13,133 bytes)
table_insert_columns.gif (13,133 bytes)
table_insert_rows.gif (12,655 bytes)
table_insert_rows.gif (12,655 bytes)
table_set_row_height.gif (10,611 bytes)
table_set_row_height.gif (10,611 bytes)

jghali

2021-02-01 00:47

administrator   ~0048795

Applied, thanks!

Issue History

Date Modified Username Field Change
2021-01-31 21:14 bubu New Issue
2021-01-31 21:14 bubu File Added: 0001-Unify-margins-and-spacing-for-dialogs-set-3.patch
2021-01-31 21:14 bubu File Added: manage_images.gif
2021-01-31 21:14 bubu File Added: search_images.gif
2021-01-31 21:14 bubu File Added: search_result.gif
2021-01-31 21:14 bubu File Added: table_insert.gif
2021-01-31 21:14 bubu File Added: table_insert_columns.gif
2021-01-31 21:14 bubu File Added: table_insert_rows.gif
2021-01-31 21:14 bubu File Added: table_set_column_width.gif
2021-01-31 21:14 bubu File Added: table_set_row_height.gif
2021-01-31 21:23 jghali Summary Unify margins and spacing for dialogs, set 3 => Unify margins and spacing for dialogs, set 4
2021-02-01 00:47 jghali Assigned To => jghali
2021-02-01 00:47 jghali Status new => resolved
2021-02-01 00:47 jghali Resolution open => fixed
2021-02-01 00:47 jghali Fixed in Version => 1.5.7.svn
2021-02-01 00:47 jghali Note Added: 0048795
2021-02-01 13:46 PeterBenedek Relationship added child of 0013906